<a href='https://www.bsc.es/es'><img src='https://pbs.twimg.com/profile_images/1807760468271894528/In5BEGRl_400x400.jpg' align="right" height="190" width="190" /></a>

<div align="justify">

# World map visualisations

[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)

Figures included in Lowe & Codeço (2025). Harmonizing multi-source data to inform vector-borne disease risk management strategies. Annual Review of Entomology (in review).

## Project description
These visualisations are maps illustrating the worldwide distribution of variables frequently employed in the computation of climate sensitive infectious disease indicators. The raw datasets can be found in the 'data' folder, while the final products are housed in the 'outputs' folder.

#### **1. Country boundaries**
<table>
  <tr>
    <td>
      <ul>
        <li><strong>Format:</strong> shp</li>
        <li><strong>Source:</strong> [Natural Earth](https://www.naturalearthdata.com/)</li>
        <li><strong>CRS:</strong> 4326 long-lat</li>
      </ul>
    </td>
    <td>
      <img src="outputs/X" alt="Country boundaries figure" width="400">
    </td>
  </tr>
</table>

#### **2. Altitude data**
<table>
  <tr>
    <td>
      <ul>
        <li><strong>Format:</strong> tif</li>
        <li><strong>Source:</strong> [JISAO](http://research.jisao.washington.edu/data_sets/elevation/)</li>
        <li><strong>CRS:</strong> 4326 long-lat</li>
        <li><strong>Spatial resolution:</strong> 0.25º</li>
      </ul>
    </td>
    <td>
      <img src="outputs/X" alt="Altitude map" width="400">
    </td>
  </tr>
</table>

#### **3. Flight maps data**
<table>
  <tr>
    <td>
      <ul>
        <li><strong>Format:</strong> csv</li>
        <li><strong>Source:</strong> [Huan et al., 2013](https://doi.org/10.1371/journal.pone.0064317)</li>
        <li><strong>Note:</strong> These are two csv files, one with airports and the other with predicted number of people per year being transported between airports</li>
      </ul>
    </td>
    <td>
      <img src="outputs/X" alt="Flights map" width="400">
    </td>
  </tr>
</table>

#### **4. Weather stations data**
<table>
  <tr>
    <td>
      <ul>
        <li><strong>Format:</strong> shp</li>
        <li><strong>Source:</strong> [DataBasin/WorldClim - Hijmans, Cameron and Parra, 2010](https://databasin.org/datasets/15a31dec689b4c958ee491ff30fcce75/)</li>
        <li><strong>CRS:</strong> 4326 long-lat</li>
      </ul>
    </td>
    <td>
      <img src="outputs/X" alt="Weather stations map" width="400">
    </td>
  </tr>
</table>

#### **5. 2-metre temperature data**
<table>
  <tr>
    <td>
      <ul>
        <li><strong>Format:</strong> grib</li>
        <li><strong>Source:</strong> [ERA5-land](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-land-monthly-means?tab=overview)</li>
        <li><strong>CRS:</strong> 4326 long-lat</li>
        <li><strong>Spatial resolution:</strong> 0.1º</li>
        <li><strong>Temporal resolution:</strong> November 2023 (month)</li>
      </ul>
    </td>
    <td>
      <img src="outputs/temperature_map.jpeg" alt="Temperature map" width="400">
    </td>
  </tr>
</table>
  
#### **6. Environmental suitability for Anopheles mosquitoes data**
<table>
  <tr>
    <td>
      <ul>
        <li><strong>Format:</strong> tif</li>
        <li><strong>Source:</strong> [Lancet Countdown report 2023](https://doi.org/10.1016/S0140-6736(23)01859-7)</li>
        <li><strong>CRS:</strong> 4326 long-lat</li>
        <li><strong>Spatial resolution:</strong> 0.1º</li>
        <li><strong>Temporal resolution:</strong> 2018 (yearly)</li>
        <li><strong>Note:</strong> Map with proportion of environmental suitability per grid cell</li>
      </ul>
    </td>
    <td>
      <img src="outputs/X" alt="Env suitability map" width="400">
    </td>
  </tr>
</table>
  
#### **7. Newly suitable areas for malaria transmission data**
<table>
  <tr>
    <td>
      <ul>
        <li><strong>Format:</strong> csv</li>
        <li><strong>Source:</strong> [Lancet Countdown report 2023](https://doi.org/10.1016/S0140-6736(23)01859-7)</li>
        <li><strong>CRS:</strong> 4326 long-lat</li>
        <li><strong>Spatial resolution:</strong> 0.1°</li>
        <li><strong>Temporal resolution:</strong> Comparison between 1951-1960 and 2013-2022</li>
        <li><strong>Note:</strong> two csv files, one for each parasite</li>
      </ul>
    </td>
    <td>
      <img src="outputs/X" alt="Newly suitable areas map" width="400">
    </td>
  </tr>
</table>

</div>

## Developers
**[Martín Lotto Batista, MSc](https://www.bsc.es/lotto-batista-martin)**
<a href="https://orcid.org/0000-0002-9437-5270" style="margin-left: 15px;"><img src="https://orcid.org/sites/default/files/images/orcid_16x16.png" alt="ORCID" style="width: 16px; height: 16px;" /></a>\
Barcelona Supercomputing Center\
Global Health Resilience\
Email: martin.lotto@bsc.es

**[Prof. Rachel Lowe](https://www.bsc.es/lowe-rachel)**
<a href="https://orcid.org/0000-0003-3939-7343" style="margin-left: 15px;"><img src="https://orcid.org/sites/default/files/images/orcid_16x16.png" alt="ORCID" style="width: 16px; height: 16px;" /></a>\
Barcelona Supercomputing Center\
Global Health Resilience (Group leader)\
Email: rachel.lowe@bsc.es

